Posts
Get a post
GET
/
posts
/
{post}
Get a post
curl --request GET \
--url https://tibbie.co/api/v1/posts/{post} \
--header 'Authorization: Bearer <token>'import requests
url = "https://tibbie.co/api/v1/posts/{post}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tibbie.co/api/v1/posts/{post}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://tibbie.co/api/v1/posts/{post}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 123,
"content": "<string>",
"status": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator": {
"id": 123,
"name": "<string>"
},
"platforms": [
{
"id": 123,
"connected_account_id": 123,
"provider": "<string>",
"username": "<string>",
"content": "<string>",
"status": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"platform_post_id": "<string>",
"error_message": "<string>"
}
],
"media": [
{
"id": 123,
"url": "<string>",
"file_type": "<string>",
"mime_type": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Response
Last modified on February 21, 2026
Was this page helpful?
⌘I
Get a post
curl --request GET \
--url https://tibbie.co/api/v1/posts/{post} \
--header 'Authorization: Bearer <token>'import requests
url = "https://tibbie.co/api/v1/posts/{post}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tibbie.co/api/v1/posts/{post}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://tibbie.co/api/v1/posts/{post}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 123,
"content": "<string>",
"status": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"creator": {
"id": 123,
"name": "<string>"
},
"platforms": [
{
"id": 123,
"connected_account_id": 123,
"provider": "<string>",
"username": "<string>",
"content": "<string>",
"status": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"platform_post_id": "<string>",
"error_message": "<string>"
}
],
"media": [
{
"id": 123,
"url": "<string>",
"file_type": "<string>",
"mime_type": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}